package com.factory.web.entity.pm.req;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 检查记录
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class SearchPmItemResultListReq {
	
	@ApiModelProperty(value = "点检频次")
	private Integer typeFlag;
	
	@ApiModelProperty(value = "年", example = "2021")
	private String year;
	
	@ApiModelProperty(value = "年月", example = "2021-06")
	private String yearMonth;
	
}
